Get my personal information
Read your own record from Personal information.
GET https://cotlet.dev/api/v1/officient/personal-information
read
Returns the contact details, address and emergency contact that your employer holds for you. It is your own record only; other people's data is not reachable.
Parameters
No parameters.
Request
curl https://cotlet.dev/api/v1/officient/personal-information \
-H "Authorization: Bearer $COTLET_API_KEY" result = client.call("officient", "get_personal_information") const result = await cotlet.call('officient', 'get_personal_information'); cotlet call officient get_personal_information Example response
{
"name": "Sofie Peeters",
"email": "sofie@example.com",
"phone": "+32 470 00 00 03",
"address": {
"line_1": "Meir 12",
"zipcode": "2000",
"city": "Antwerp"
},
"emergency_contact": {
"name": "Jan Peeters",
"relation": "Brother",
"phone": "+32 470 00 00 04"
}
}